Index: TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/repository/TypedValue.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/repository/TypedValue.java	(revision 3882)
+++ TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/repository/TypedValue.java	(revision 3883)
@@ -46,10 +46,10 @@
 	}
 	
 	public String toString() {
-		return PK.toString() + "(" + name + ")";
+		return PK.toString() + "(" + name + ")"; //$NON-NLS-1$ //$NON-NLS-2$
 	}
 	
 	public String toHumanString() {
-		return name + "(" + PK.getId() + ")";
+		return name + "(" + PK.getId() + ")"; //$NON-NLS-1$ //$NON-NLS-2$
 	}
 }
Index: TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/repository/AnnotationEffect.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/repository/AnnotationEffect.java	(revision 3882)
+++ TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/repository/AnnotationEffect.java	(revision 3883)
@@ -17,8 +17,8 @@
 	 * @return Effet suffix used to display the annotation type in messages
 	 */
 	public String toSuffix() {
-		if (this.equals(TOKEN)) return " (T)";
-		else if (this.equals(ANNOTATION)) return " (A)";
-		else return "";
+		if (this.equals(TOKEN)) return " (T)"; //$NON-NLS-1$
+		else if (this.equals(ANNOTATION)) return " (A)"; //$NON-NLS-1$
+		else return ""; //$NON-NLS-1$
 	}
 }
Index: TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/repository/TypedValuePK.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/repository/TypedValuePK.java	(revision 3882)
+++ TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/repository/TypedValuePK.java	(revision 3883)
@@ -44,6 +44,6 @@
 	}
 	
 	public String toString() {
-		return typeId + "=" + id;
+		return typeId + "=" + id; //$NON-NLS-1$
 	}
 }
Index: TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/repository/KnowledgeRepository.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/repository/KnowledgeRepository.java	(revision 3882)
+++ TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/repository/KnowledgeRepository.java	(revision 3883)
@@ -19,13 +19,13 @@
 
 public abstract class KnowledgeRepository { // extends Vector<AnnotationType>
 	
-	protected String values_base_url = "";
+	protected String values_base_url = ""; //$NON-NLS-1$
 	
-	protected String types_base_url = "";
+	protected String types_base_url = ""; //$NON-NLS-1$
 	
-	protected String url = "";
+	protected String url = ""; //$NON-NLS-1$
 	
-	protected String dbPath = ""; // the KR database path
+	protected String dbPath = ""; // the KR database path //$NON-NLS-1$
 	
 	protected String name;
 	
@@ -45,29 +45,29 @@
 
 	private EntityManagerFactory emf;
 	
-	public final static String NAME = "name";
+	public final static String NAME = "name"; //$NON-NLS-1$
 	
-	public final static String TYPE_URL = "url";
+	public final static String TYPE_URL = "url"; //$NON-NLS-1$
 	
-	public final static String TYPE_RESURL = "resurl";
+	public final static String TYPE_RESURL = "resurl"; //$NON-NLS-1$
 	
-	public final static String TYPE_TYPEURL = "typeurl";
+	public final static String TYPE_TYPEURL = "typeurl"; //$NON-NLS-1$
 	
-	public final static String TYPE_ID = "id";
+	public final static String TYPE_ID = "id"; //$NON-NLS-1$
 	
-	public final static String TYPE_SIZE = "size";
+	public final static String TYPE_SIZE = "size"; //$NON-NLS-1$
 	
-	public final static String TYPE_EFFECT = "effect";
+	public final static String TYPE_EFFECT = "effect"; //$NON-NLS-1$
 	
-	public final static String TYPE_SQLFIELD_NAME = "sql_name";
+	public final static String TYPE_SQLFIELD_NAME = "sql_name"; //$NON-NLS-1$
 	
-	public final static String TYPE_SQLFIELD_ID = "sql_id";
+	public final static String TYPE_SQLFIELD_ID = "sql_id"; //$NON-NLS-1$
 	
-	public final static String TYPE_SQLFIELD_QUERY = "sql_query";
+	public final static String TYPE_SQLFIELD_QUERY = "sql_query"; //$NON-NLS-1$
 	
-	public final static String LOGIN_KEY = "org.txm.repository.credencies.login.";
+	public final static String LOGIN_KEY = "org.txm.repository.credencies.login."; //$NON-NLS-1$
 	
-	public final static String PASSWORD_KEY = "org.txm.repository.credencies.password.";
+	public final static String PASSWORD_KEY = "org.txm.repository.credencies.password."; //$NON-NLS-1$
 	
 	public static final boolean[] FALSES = { false, false };
 	
@@ -85,7 +85,7 @@
 	 * @return
 	 */
 	public EntityManager initializeEntityManager() {
-		this.dbPath = new File(Toolbox.getTxmHomePath(), "repositories/" + name).getAbsolutePath();
+		this.dbPath = new File(Toolbox.getTxmHomePath(), "repositories/" + name).getAbsolutePath(); //$NON-NLS-1$
 		// System.out.println("KnowledgeRepository.initializeEntityManager [DB @ "+dbPath+"]");
 		
 		HashMap<String, Object> properties = new HashMap<String, Object>();
@@ -95,17 +95,17 @@
 		//
 		// properties.put(PersistenceUnitProperties.ECLIPSELINK_PERSISTENCE_XML, "/home/mdecorde/workspace079/org.txm.annotation.core/META-INF");
 		// //properties.put("javax.persistence.jdbc.driver", "org.hsqldb.jdbcDriver");
-		String urlProperty = "jdbc:hsqldb:file:" + dbPath + "/db;shutdown=true;hsqldb.lock_file=false;";
+		String urlProperty = "jdbc:hsqldb:file:" + dbPath + "/db;shutdown=true;hsqldb.lock_file=false;"; //$NON-NLS-1$ //$NON-NLS-2$
 		if (Log.getLevel().intValue() < Level.INFO.intValue()) {
-			urlProperty += "";
+			urlProperty += ""; //$NON-NLS-1$
 		}
 		else {
-			urlProperty += "hsqldb.applog=0;hsqldb.sqllog=0";
+			urlProperty += "hsqldb.applog=0;hsqldb.sqllog=0"; //$NON-NLS-1$
 		}
-		properties.put("javax.persistence.jdbc.url", urlProperty);
+		properties.put("javax.persistence.jdbc.url", urlProperty); //$NON-NLS-1$
 		// properties.put("javax.persistence.jdbc.username", "SA");
 		// properties.put(PersistenceUnitProperties.DDL_GENERATION_MODE, "database");
-		properties.put(PersistenceUnitProperties.DDL_GENERATION, "create-or-extend-tables"); // create&update table if needed
+		properties.put(PersistenceUnitProperties.DDL_GENERATION, "create-or-extend-tables"); // create&update table if needed //$NON-NLS-1$
 		// properties.put(PersistenceUnitProperties.DDL_GENERATION, "drop-and-create-tables"); // drop all and recreate
 		// if (Log.getLevel().intValue() < Level.WARNING.intValue()) {
 		// properties.put(PersistenceUnitProperties.LOGGING_LEVEL, "WARNING");
@@ -119,7 +119,7 @@
 		PersistenceProvider pp = new PersistenceProvider();
 		emf = pp.createEntityManagerFactory(DatabasePersistenceManager.PERSISTENCE_UNIT_NAME, properties);
 		if (emf == null) {
-			Log.warning(NLS.bind("Error: could not create the ''{0}'' EntityManagerFactory and PersistenceProvider={1}.", DatabasePersistenceManager.PERSISTENCE_UNIT_NAME, pp));
+			Log.warning(NLS.bind("Error: could not create the ''{0}'' EntityManagerFactory and PersistenceProvider={1}.", DatabasePersistenceManager.PERSISTENCE_UNIT_NAME, pp)); //$NON-NLS-1$
 			return null;
 		}
 		EntityManager entityManager = (EntityManager) emf.createEntityManager();
@@ -132,7 +132,7 @@
 	public void setAccessProperties(HashMap<String, String> accessProperties) {
 		this.accessProperties = accessProperties;
 		
-		String sVersion = accessProperties.get("version");
+		String sVersion = accessProperties.get("version"); //$NON-NLS-1$
 		if (sVersion.length() > 0) {
 			this.version = Integer.parseInt(sVersion);
 		}
@@ -218,15 +218,15 @@
 	
 	public String toHumanString() {
 		StringBuffer buffer = new StringBuffer();
-		buffer.append(this.getName() + " version=" + version + " (" + this.getURL() + "): " + this.getAccessType() + "\n");
+		buffer.append(this.getName() + " version=" + version + " (" + this.getURL() + "): " + this.getAccessType() + "\n"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 		for (AnnotationType type : getAllAnnotationTypes()) {
-			buffer.append("\t" + type.toHumanString() + "\n");
+			buffer.append("\t" + type.toHumanString() + "\n"); //$NON-NLS-1$ //$NON-NLS-2$
 		}
 		return buffer.toString();
 	}
 	
 	public void reload() {
-		Log.fine("Reloading KR " + name);
+		Log.fine("Reloading KR " + name); //$NON-NLS-1$
 		
 		clearTypes();
 		buildTypesAndValues();
@@ -240,8 +240,8 @@
 	 */
 	public List<TypedValue> getValues(AnnotationType type, int limit) throws Exception {
 		
-		TypedQuery<TypedValue> query = jpaem.createQuery("SELECT t FROM TypedValue AS t "
-				+ "WHERE t.PK.typeId LIKE '" + type.getId() + "'", TypedValue.class);
+		TypedQuery<TypedValue> query = jpaem.createQuery("SELECT t FROM TypedValue AS t " //$NON-NLS-1$
+				+ "WHERE t.PK.typeId LIKE '" + type.getId() + "'", TypedValue.class); //$NON-NLS-1$ //$NON-NLS-2$
 		if (limit != -1) {
 			query.setMaxResults(limit);
 		}
@@ -256,8 +256,8 @@
 	 * @throws Exception
 	 */
 	public boolean hasValues(AnnotationType type) throws Exception {
-		TypedQuery<TypedValue> query = jpaem.createQuery("SELECT t.name FROM TypedValue AS t "
-				+ "WHERE t.PK.typeId LIKE '" + type.getId() + "'", TypedValue.class);
+		TypedQuery<TypedValue> query = jpaem.createQuery("SELECT t.name FROM TypedValue AS t " //$NON-NLS-1$
+				+ "WHERE t.PK.typeId LIKE '" + type.getId() + "'", TypedValue.class); //$NON-NLS-1$ //$NON-NLS-2$
 		query.setMaxResults(1);
 		
 		return query.getResultList().size() > 0;
@@ -280,7 +280,7 @@
 		// clear all persisted values
 		if (jpaem != null) {
 			jpaem.getTransaction().begin();
-			Query query = jpaem.createQuery("DELETE FROM TypedValue");
+			Query query = jpaem.createQuery("DELETE FROM TypedValue"); //$NON-NLS-1$
 			query.executeUpdate();
 			jpaem.getTransaction().commit();
 		}
@@ -329,7 +329,7 @@
 				String url = typeFieldsContent.get(KnowledgeRepository.TYPE_URL);
 				String size = typeFieldsContent.get(KnowledgeRepository.TYPE_SIZE);
 				String s_effect = typeFieldsContent.get(KnowledgeRepository.TYPE_EFFECT);
-				if (s_effect == null) s_effect = "SEGMENT";
+				if (s_effect == null) s_effect = "SEGMENT"; //$NON-NLS-1$
 				
 				for (String typeField : typeFieldsContent.keySet()) {
 					// System.out.println("Type field : "+typeField+" value : "+typeFieldsContent.get(typeField));
@@ -360,7 +360,7 @@
 	 * @return
 	 */
 	public AnnotationType addType(String name, String id) {
-		return addType(name, id, this.url + "/" + id);
+		return addType(name, id, this.url + "/" + id); //$NON-NLS-1$
 	}
 	
 	/**
@@ -403,12 +403,12 @@
 	}
 	
 	public List<AnnotationType> getAllAnnotationTypes() {
-		TypedQuery<AnnotationType> query = jpaem.createQuery("SELECT t FROM AnnotationType AS t ", AnnotationType.class);
+		TypedQuery<AnnotationType> query = jpaem.createQuery("SELECT t FROM AnnotationType AS t ", AnnotationType.class); //$NON-NLS-1$
 		return query.getResultList();
 	}
 	
 	public List<TypedValue> getAllTypedValuesForType(String idType) {
-		TypedQuery<TypedValue> query = jpaem.createQuery("SELECT t FROM TypedValue AS t WHERE t.PK.typeId LIKE '" + idType + "'", TypedValue.class);
+		TypedQuery<TypedValue> query = jpaem.createQuery("SELECT t FROM TypedValue AS t WHERE t.PK.typeId LIKE '" + idType + "'", TypedValue.class); //$NON-NLS-1$ //$NON-NLS-2$
 		return query.getResultList();
 	}
 	
@@ -419,9 +419,9 @@
 	 * @throws Exception
 	 */
 	public List<TypedValue> findTypedValuesWithPrefix(AnnotationType type, String prefix) throws Exception {
-		TypedQuery<TypedValue> query = jpaem.createQuery("SELECT t FROM TypedValue AS t "
-				+ "WHERE t.PK.typeId LIKE '" + type.getId() + "'"
-				+ " AND t.name LIKE '" + prefix + "%'", TypedValue.class);
+		TypedQuery<TypedValue> query = jpaem.createQuery("SELECT t FROM TypedValue AS t " //$NON-NLS-1$
+				+ "WHERE t.PK.typeId LIKE '" + type.getId() + "'" //$NON-NLS-1$ //$NON-NLS-2$
+				+ " AND t.name LIKE '" + prefix + "%'", TypedValue.class); //$NON-NLS-1$ //$NON-NLS-2$
 		// System.out.println("Query for "+prefix+" has nb results = "+query.getResultList().size());
 		return query.getResultList();
 	}
@@ -478,7 +478,7 @@
 			values = strings.get(lang);
 		}
 		if (values == null) { // get default lang = "en"
-			values = strings.get("en");
+			values = strings.get("en"); //$NON-NLS-1$
 		}
 		if (values == null) { // fail
 			return null;
Index: TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/temporary/DeleteAnnotation.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/temporary/DeleteAnnotation.java	(revision 3882)
+++ TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/temporary/DeleteAnnotation.java	(revision 3883)
@@ -8,7 +8,7 @@
 	
 	@Test
 	public void test() {
-		fail("Not yet implemented");
+		fail("Not yet implemented"); //$NON-NLS-1$
 	}
 	
 }
Index: TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/temporary/UpdateAnnotation.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/temporary/UpdateAnnotation.java	(revision 3882)
+++ TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/temporary/UpdateAnnotation.java	(revision 3883)
@@ -8,7 +8,7 @@
 	
 	@Test
 	public void test() {
-		fail("Not yet implemented");
+		fail("Not yet implemented"); //$NON-NLS-1$
 	}
 	
 }
Index: TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/temporary/CreateAnnotation.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/temporary/CreateAnnotation.java	(revision 3882)
+++ TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/temporary/CreateAnnotation.java	(revision 3883)
@@ -16,12 +16,12 @@
 	
 	@Test
 	public void test() throws CqiClientException, InvalidCqpIdException {
-		if (!Toolbox.isInitialized()) fail("Toolbox not initialized.");
-		MainCorpus corpus = CorpusManager.getCorpusManager().getCorpus("VOEUX");
-		if (corpus == null) fail("Corpus Voeux not loaded.");
+		if (!Toolbox.isInitialized()) fail("Toolbox not initialized."); //$NON-NLS-1$
+		MainCorpus corpus = CorpusManager.getCorpusManager().getCorpus("VOEUX"); //$NON-NLS-1$
+		if (corpus == null) fail("Corpus Voeux not loaded."); //$NON-NLS-1$
 		
 		HashMap<String, Object> properties = TemporaryAnnotationManager.getInitialisationProperties(this.getClass(), corpus);
-		properties.put("eclipselink.persistencexml", System.getProperty("user.home") + "/workspace442/org.txm.core/META-INF/persistence.xml");
+		properties.put("eclipselink.persistencexml", System.getProperty("user.home") + "/workspace442/org.txm.core/META-INF/persistence.xml"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 		
 		TemporaryAnnotationManager tam = new TemporaryAnnotationManager(corpus, properties);
 		System.out.println(tam);
Index: TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationManager.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationManager.java	(revision 3882)
+++ TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationManager.java	(revision 3883)
@@ -68,14 +68,14 @@
 		
 		List<Annotation> annots = tempManager.getAnnotations();
 		if (annots.isEmpty()) {
-			Log.info("No annotation to save. Aborting.");
+			Log.info(Messages.noAnnotationToSaveAborting);
 			dirty = false;
 			return true;
 		}
 		
 		if (monitor != null) {
 			monitor.beginTask(Messages.savingAnnotations, annots.size());
-			monitor.setTaskName("Writing annotations in XML-TXM files");
+			monitor.setTaskName(Messages.writingAnnotationsInXMLTXMFiles);
 		}
 		
 		AnnotationWriter writer = new AnnotationWriter(corpus);
@@ -116,7 +116,7 @@
 			tempManager.getEntityManager().getTransaction().begin();
 			for (Annotation a : temporaryAnnotations) {
 				if (job != null && job.isCanceled()) {
-					Log.info("Delete annotation canceled.");
+					Log.info(Messages.deleteAnnotationCanceled);
 					return false;
 				}
 				tempManager.deleteAnnotation(type, a.getStart(), a.getEnd());
@@ -127,12 +127,12 @@
 			tempManager.getEntityManager().getTransaction().begin();
 			for (Annotation a : cqpAnnotations) {
 				if (job != null && job.isCanceled()) {
-					Log.info("Delete annotation canceled.");
+					Log.info(Messages.deleteAnnotationCanceled);
 					return false;
 				}
 				String value = cqpManager.getCQPAnnotationValue(a.getStart(), a.getEnd(), type);
 				if (value != null) {
-					tempManager.createAnnotationNoCommit(type, new TypedValue("#del", "#del", type.getId()), a.getStart(), a.getEnd());
+					tempManager.createAnnotationNoCommit(type, new TypedValue("#del", "#del", type.getId()), a.getStart(), a.getEnd()); //$NON-NLS-1$ //$NON-NLS-2$
 				}
 				else {
 					tempManager.deleteAnnotationNoCommit(type, a.getStart(), a.getEnd());
@@ -166,14 +166,14 @@
 				}
 				
 				if (job != null && job.isCanceled()) {
-					Log.info("Delete annotation canceled.");
+					Log.info(Messages.deleteAnnotationCanceled);
 					return false;
 				}
 				
 				String value = cqpManager.getCQPAnnotationValue(start, end, type);
 				
 				if (value != null) {
-					tempManager.createAnnotationNoCommit(type, new TypedValue("#del", "#del", type.getId()), start, end);
+					tempManager.createAnnotationNoCommit(type, new TypedValue("#del", "#del", type.getId()), start, end); //$NON-NLS-1$ //$NON-NLS-2$
 				}
 				else {
 					tempManager.deleteAnnotationNoCommit(type, start, end);
@@ -206,7 +206,7 @@
 			// System.out.println("Temporary annotations: "+temporaryAnnotations);
 			// System.out.println("CQP annotations: "+cqpAnnotations);
 			if (cqpAnnotations.size() != matches.size() || temporaryAnnotations.size() != matches.size()) {
-				Log.info("ERROR in getAnnotationsForMatches methods! ");
+				Log.info("ERROR in getAnnotationsForMatches methods! "); //$NON-NLS-1$
 				return new ArrayList<>(matches.size());
 			}
 			// merge the 2 results
@@ -237,7 +237,7 @@
 			tempManager.close();
 		}
 		catch (Exception e) {
-			Log.warning(NLS.bind("Fail to clear AnnotationManager instance with error: {0}", e));
+			Log.warning(NLS.bind(Messages.failToClearTheAnnotationManagerInstanceP0, e));
 			Log.printStackTrace(e);
 		}
 	}
@@ -286,7 +286,7 @@
 			}
 			
 			if (job != null && job.isCanceled()) { // check if user canceled the job
-				Log.info("Affect annotation canceled.");
+				Log.info(Messages.affectAnnotationCanceled);
 				return null;
 			}
 			
@@ -345,7 +345,7 @@
 				
 			}
 			catch (Throwable e) {
-				Log.info(NLS.bind("Error during annotation creation: {0}.", e));
+				Log.info(NLS.bind(Messages.errorDuringAnnotationCreationP0, e));
 				Log.printStackTrace(e);
 				
 				if (tempManager.getEntityManager().getTransaction().isActive()) {
@@ -390,7 +390,7 @@
 	}
 	
 	public void closeAll() {
-		Log.fine("Closing annotation manager of " + corpus);
+		Log.fine("Closing annotation manager of " + corpus); //$NON-NLS-1$
 		tempManager.close();
 		cqpManager.close();
 	}
@@ -423,22 +423,22 @@
 		
 		List<String> krnames = KRAnnotationEngine.getKnowledgeRepositoryNames(corpus);
 		if (krnames.size() == 0) {
-			Log.severe(NLS.bind("** Error: no knowledge repository found in {0} corpus.", corpus));
-			throw new IllegalArgumentException("No kr in " + corpus);
+			Log.severe(NLS.bind(Messages.errorNoKRFoundInP0Corpus, corpus));
+			throw new IllegalArgumentException("No kr in " + corpus); //$NON-NLS-1$
 		}
 		String firtsKRName = krnames.get(0);
 		KnowledgeRepository defaultKR = KRAnnotationEngine.getKnowledgeRepository(corpus, firtsKRName);
 		if (defaultKR == null) {
-			Log.severe(NLS.bind("** Error: no knowledge repository {0} found in {0} corpus.", defaultKR, corpus));
-			throw new IllegalArgumentException("No kr " + defaultKR + " in " + corpus);
+			Log.severe(NLS.bind(Messages.errorNoKRP0FoundInP1Corpus, defaultKR, corpus));
+			throw new IllegalArgumentException("No kr " + defaultKR + " in " + corpus); //$NON-NLS-1$ //$NON-NLS-2$
 		}
 		
 		PrintWriter writer = IOUtils.getWriter(resultFile, encoding, false);
-		String cols [] = {"text_id", "id", "end_id", "start", "end", "type", "value", "mode", "date", "annotator"};
+		String cols [] = {"text_id", "id", "end_id", "start", "end", "type", "value", "mode", "date", "annotator"}; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ //$NON-NLS-6$ //$NON-NLS-7$ //$NON-NLS-8$ //$NON-NLS-9$ //$NON-NLS-10$
 		writer.println(StringUtils.join(cols, colseparator));
 		
 		if (this.getTemporaryManager().getAnnotations().size() == 0) {
-			Log.warning("Warning: no annotations to export. Aborting.");
+			Log.warning(Messages.warningNoAnnotationsToExportAborting);
 			return false;
 		}
 		
@@ -456,7 +456,7 @@
 		for (int p : positions2Ids.keySet()) {
 			positions[i++] = p;
 		}
-		String values[] = corpus.getProperty("id").cpos2Str(positions);
+		String values[] = corpus.getProperty("id").cpos2Str(positions); //$NON-NLS-1$
 		for (i = 0 ; i < positions.length ; i++) {
 			positions2Ids.put(positions[i], values[i]);
 		}
@@ -469,7 +469,7 @@
 			}
 		});
 		
-		Log.info(NLS.bind("Exporting {0} annotations.", annotations.size()));
+		Log.info(NLS.bind(Messages.exportingP0Annotations, annotations.size()));
 		ConsoleProgressBar cpb = new ConsoleProgressBar(annotations.size());
 		
 		int currentText = 0;
@@ -515,28 +515,28 @@
 		
 		List<String> krnames = KRAnnotationEngine.getKnowledgeRepositoryNames(corpus);
 		if (krnames.size() == 0) {
-			Log.severe(NLS.bind("** Error: no knowledge repository found in {0} corpus.", corpus));
-			throw new IllegalArgumentException("No kr in " + corpus);
+			Log.severe(NLS.bind(Messages.errorNoKRFoundInP0Corpus, corpus));
+			throw new IllegalArgumentException("No kr in " + corpus); //$NON-NLS-1$
 		}
 		String firtsKRName = krnames.get(0);
 		KnowledgeRepository defaultKR = KRAnnotationEngine.getKnowledgeRepository(corpus, firtsKRName);
 		if (defaultKR == null) {
-			Log.severe(NLS.bind("** Error: no knowledge repository {0} found in {0} corpus.", defaultKR, corpus));
-			throw new IllegalArgumentException("No kr " + defaultKR + " in " + corpus);
+			Log.severe(NLS.bind(Messages.errorNoKRP0FoundInP1Corpus, defaultKR, corpus));
+			throw new IllegalArgumentException("No kr " + defaultKR + " in " + corpus); //$NON-NLS-1$ //$NON-NLS-2$
 		}
 		
 		CsvReader reader = new CsvReader(annotationsFile.getAbsolutePath(), colseparator.charAt(0), Charset.forName(encoding));
 		if (txtseparator.length() > 0) reader.setTextQualifier(txtseparator.charAt(0));
 		reader.readHeaders();
 		String headers [] = reader.getHeaders();
-		String cols [] = {"text_id", "id", "end_id", "start", "end", "type", "value", "mode", "date", "annotator"};
+		String cols [] = {"text_id", "id", "end_id", "start", "end", "type", "value", "mode", "date", "annotator"}; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ //$NON-NLS-6$ //$NON-NLS-7$ //$NON-NLS-8$ //$NON-NLS-9$ //$NON-NLS-10$
 		if (headers.length != cols.length) {
-			Log.warning("Error: annotation file header format is not well-formatted: "+StringUtils.join(headers, ", ")+". Should be: "+StringUtils.join(cols, ", "));
+			Log.warning(Messages.errorAnnotationFileHeaderFormatIsNotWekkfomattedP0ItShouldBeP1+StringUtils.join(headers, ", ")+". Should be: "+StringUtils.join(cols, ", ")); //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 			return false;
 		}
 		for (int i = 0 ; i < cols.length ; i++) {
 			if (!(headers[i].equals(cols[i]))) {
-				Log.warning("Error: annotation file header format is not well-formatted: "+StringUtils.join(headers, ", ")+". Should be: "+StringUtils.join(cols, ", "));
+				Log.warning(Messages.errorAnnotationFileHeaderFormatIsNotWekkfomattedP0ItShouldBeP1+StringUtils.join(headers, ", ")+". Should be: "+StringUtils.join(cols, ", ")); //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 				return false;
 			}
 		}
@@ -548,11 +548,11 @@
 		reader.close();
 		
 		if (nLines == 0) {
-			Log.warning("Error: no annotation line found");
+			Log.warning(Messages.errorNoAnnotationLineFound);
 			return false;
 		}
 		
-		Log.info(NLS.bind("Importing {0} annotations...", nLines));
+		Log.info(NLS.bind(Messages.importingP0Annotations, nLines));
 		reader = new CsvReader(annotationsFile.getAbsolutePath(), colseparator.charAt(0), Charset.forName(encoding));
 		if (txtseparator.length() > 0) reader.setTextQualifier(txtseparator.charAt(0));
 		reader.readHeaders();
@@ -574,27 +574,27 @@
 			if (startId.length() > 0 && endId.length() > 0) { // use the word id if present
 				String textId = record[0].trim();
 				if (startId.equals(endId)) {
-					CQLQuery cql = new CQLQuery(NLS.bind("[id=\"{0}\" & _.text_id=\"{1}\"]", startId, textId));
-					QueryResult qr = corpus.query(cql , "TMP", false);
+					CQLQuery cql = new CQLQuery(NLS.bind("[id=\"{0}\" & _.text_id=\"{1}\"]", startId, textId)); //$NON-NLS-1$
+					QueryResult qr = corpus.query(cql , "TMP", false); //$NON-NLS-1$
 					if (qr.getNMatch() == 0) {
-						Log.warning("No match found with CQL="+cql);
+						Log.warning(Messages.noMatchFoundWithCQLEqualP0+cql);
 						continue;
 					}
 					startPos = qr.getMatch(0).getStart();
 					endPos = startPos;
 				} else {
-					CQLQuery cql = new CQLQuery(NLS.bind("[id=\"{0}\" & _.text_id=\"{1}\"]", startId, textId));
-					QueryResult qr = corpus.query(cql , "TMP", false);
+					CQLQuery cql = new CQLQuery(NLS.bind("[id=\"{0}\" & _.text_id=\"{1}\"]", startId, textId)); //$NON-NLS-1$
+					QueryResult qr = corpus.query(cql , "TMP", false); //$NON-NLS-1$
 					if (qr.getNMatch() == 0) {
-						Log.warning("No match found with CQL="+cql);
+						Log.warning(Messages.noMatchFoundWithCQLEqualP0+cql);
 						continue;
 					}
 					startPos = qr.getMatch(0).getStart();
 					qr.drop();
-					cql = new CQLQuery(NLS.bind("[id=\"{0}\" & _.text_id=\"{1}\"]", endId, textId));
-					qr = corpus.query(cql , "TMP", false);
+					cql = new CQLQuery(NLS.bind("[id=\"{0}\" & _.text_id=\"{1}\"]", endId, textId)); //$NON-NLS-1$
+					qr = corpus.query(cql , "TMP", false); //$NON-NLS-1$
 					if (qr.getNMatch() == 0) {
-						Log.warning("No match found with CQL="+cql);
+						Log.warning(Messages.noMatchFoundWithCQLEqualP0+cql);
 						continue;
 					}
 					endPos = qr.getMatch(0).getStart();
